@charset "UTF-8";

/* ================= BASE ================= */

html {
    font-size: 62.5%;
    background-color: #000;
    color: #e8efef;
    font-family: "Noto Serif JP", serif;
    font-weight: lighter;
    overflow-x: hidden;
}

body {
  margin: 0;
  line-height: 1;
  overflow-x: hidden;
  background-color: #000;
}

/* 画面上部の余白を消すための設定 */
ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

h1, h2, h3, p {
  margin: 0;
}

.section-title{
  font-size: 6.8rem;
  padding: 40px;
  font-family: "Playfair Display", serif;
  font-weight: lighter;
}

@media  (max-width: 900px) {
  .section-title{
    font-size: 4.8rem;
  }
}

/* ================= HERO ================= */

.hamburger {
  display: none;
  background: none;
  border: none;
  cursor: pointer;
}

.sp-menu {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;

  width: calc(100% - 80px); /* ← 右80px空ける */

  background-color: rgba(12, 12, 12, 0.95);
  color: #fff;

  display: none;
  justify-content: center;
  align-items: center;
  z-index: 999;
}


.hero {
  min-height: 100vh;
  height: auto;
  background-image: url("../image/about-background.png");
  background-size: cover;
  background-position: right -200px;
  /* 画像トリミングのため-150px */
  background-repeat: no-repeat;
  
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

/* ===== ナビ全体 ===== */

.hero-nav {
  width: 100%;
}

.hero-nav .nav-en {
  font-size:2rem;
  line-height: 2.8rem;
  font-family: "Playfair Display", serif;
  font-weight: lighter;
}

.hero-nav__list {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-left: 50%;
  margin-top: 20px;
  margin-right: 20px;
}

.hero-nav__icon {
  width: 26px;
  height: 26px;
  object-fit: contain;
  display: block;
}

/* ===== リンク ===== */

.hero-nav__link {
  display: flex;
  flex-direction: column;
  text-decoration: none;
  color: #e8efef;
}

/* 日付右上 */

.hero-date {
  color: #e8efef;
  position: absolute;
  right: 20px;
  top: 80px;
  text-align: right;
  font-size: 2rem;
  line-height: 3.2rem;
  font-family: "Cormorant Garamond", serif;
  font-weight: lighter;
}


@media (max-width: 900px) {

  .hero {
    background-position: right;
    background-size: cover;
  }

  .hero-date {
    color: #5a2ca0;
    left: 40px;
    bottom: 20px;
    right: auto;
    top: auto;
    text-align: left;
  }

    .hamburger {
    display: block;
    position: fixed;
    width: 40px;
    height: 40px;
    top: 0px;
    right: 0px;
    z-index: 1000;
  }

  .hamburger img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    transition: 0.3s ease;
  }

  .hero-nav__list{
    display: none;
  }

  .sp-menu.active {
  display:block;
  padding: 40px 20px 60px;
  font-size: 1.6rem;
  line-height: 2rem;
  font-family: "Playfair Display", serif;
  font-weight: lighter;
  text-decoration: none;
}

.sp-menu a,
.sp-menu a:visited,
.sp-menu a:hover,
.sp-menu a:active {
  color: #e8efef;
  text-decoration: none;
}

}

@media (max-width: 530px) {
  .hero-date {
  color: #e8efef;
  font-size: 1.2rem;
  line-height: 1.4rem;
  position: absolute;
  right: 20px;
  top: 100px;
  text-align: right;
  }

}

/* ================= ABOUT ================= */

.about {
  background-image: url("../image/grid-background.png");
  background-size: cover;
  background-repeat: no-repeat;
  color: #5a2ca0;
  font-size: 1.6rem;
  line-height: 2.4rem;
}

.about__content{
  padding: 40px;
}

.about__description {
  max-width: 700px;
}

.about-date{
  margin-top: 40px;
  margin-bottom: 60px;
}

/* スマホ */

@media (max-width: 900px){
  .about__description{
    font-size: 1.2rem;
    line-height: 1.8rem;
  }

  .about-date {
    display: none;
    font-size: 1.2rem;
    line-height: 1.8rem;
  }
}

@media (max-width: 530px)  {
  .about-date {
    display: block;
  }
}

/* ================= ACCESS ================= */

.access {
  color: #e8efef;
}

.access__map {
  margin: 0;
  height: 300px;
}

.access-info{
  padding: 40px;
  padding-bottom: 180px;
}

@media (max-width: 900px){
  .access-info{
    font-size: 1.2rem;
    line-height: 1.6rem;
  }
}

/* ================= GALLERY ================= */

.gallery {
  width: 100%;
  background: transparent; 
  overflow: hidden;
}

.gallery-txt {
  color: #e8efef;
  font-size: 1.2rem;
  padding: 20px 0 20px 40px;
  background: transparent;
  text-align: left;
}

.gallery-wrapper {
  overflow: hidden;
  width: 100%;
}

.gallery-track {
  display: flex;
  transition: transform 0.6s ease;
}

.gallery img {
  width: 44vw;
  height: 200px;
  object-fit: cover;
  flex-shrink: 0;
  user-select: none;
  pointer-events: none;
}

.trim-top {
  object-position: center -20px;
}

@media (max-width: 900px){
  .trim-top {
  object-position: center;
  }
}

/* ================= ARTIST ================= */

.artist {
  position: relative;
  z-index: 1;

  background-image: url("../image/artist-background.png");
  background-size: cover;
  background-position: center -40px;
  background-repeat: no-repeat;
  background-attachment: fixed;
  text-align: center;
  padding-top: 20px;
  padding-bottom: 400px;  /* ← 重なり分を確保 */
}

.artist .section-title {
  margin-top: 40px;
  color: #e8efef;
}

.artist-info {
  color: #e8efef;
}

.artist-grid {
  width: min(1200px, 90%);
  margin: 60px auto 0;

  display: grid;
  gap: 60px 32px;

  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  justify-items: center;
  
  margin-bottom: 100px;
}

.artist-card {
  text-align: center;
  text-decoration: none;
  color: #e8efef;
  display: block;
}

.artist-card img {
  width: 200px;
  height: 200px;
  object-fit: cover;
}


.artist-name {
  margin-top: 16px;
  font-size: 1.6rem;
  color: #e8efef;
}




/* ================= FEEDBACK ================= */

.feedback {
  width: 80vw;
  background: url("../image/grid-background.png") center/cover no-repeat;
  text-align: center;
  color: #5a2ca0;
  position: relative;
  margin: 0 auto;
  z-index: 10;
  border-radius: 4px;

  margin-top: -360px;
  padding-bottom:48px;
}

.feedback__text{
  margin-top: -20px;
  font-size: 1.6rem;
  line-height: 2.4rem;
}

.feedback__button {
  width: 50vw;

  display: flex;
  justify-content: center;
  align-items: center;

  background: #5a2ca0;
  color: #e8efef;
  font-size: 1.6rem;
  border-radius: 4px;

  margin: 36px auto 0;
  padding-top: 20px;
  padding-bottom: 26px;
}

@media (max-width: 900px){
  .feedback__text{
    font-size: 1.2rem;
    line-height: 1.6rem;
  }
}

/* ================= FOOTER ================= */

.footer {
  background: #000;
  color: #e8efef;
  padding: 40px 20px 60px;
  font-size: 1.6rem;
  line-height: 2rem;
  font-family: "Playfair Display", serif;
  font-weight: lighter;
}

.footer-nav__list {
  margin-top: 100px;
  display: flex;
  flex-direction: column;
  gap: 20px
}

.footer-nav__list a[href="#hero"] {
  font-size: 4rem;
  display: inline-block;
  margin-bottom: 40px;
}

.footer__copyright{
  margin-top: 320px;
}

.footer a,
.footer a:visited,
.footer a:hover,
.footer a:active {
  color: #e8efef;
  text-decoration: none;
}
